#	$NetBSD: ftpd.conf,v 1.4 2000/01/09 13:19:19 lukem Exp $

# Check PORT command for validity; prevents denial of service attempt.
checkportcmd	all

motd		all	motd

# For anonymous connections, when a directory is entered show the contents
# of `.message' if it exists, and notify about any files that start
# with `README'.
display	 	all	.message
notify		all	README*

uploads 	anons	off

portrange	all	65500	65505

# Limit transfers
rateget		anons	4k
#rateput	anons   30k
rateget		remotes 5k
rateput		remotes	30k

# Limit the number of simultaneous `anons' class connections
# and display /etc/ftptoomany when this limit is reached.
limit		anons	1	ftptoomany
limit		remotes	1	ftptoomany

# Support automatic conversions.
# The first entry supports compression of files, and there's no suppression
# character. `%s' is replaced by the filename.
# The next two entries support tar-ing and tar+gzip of files and directories,
# unless `.notar' exists in the current directory.
# The `--' in the command strings should prevent a filename with a leading
# `-' being interpreted as an argument to gzip/tar.
# For anonymous connections, ~ftp/usr/bin should be a symlink to ~ftp/bin,
# and gzip and tar should exist in the latter directory as statically
# linked executables, to avoid the effort of setting up shared libraries
# correctly under ~ftp.
#
conversion	all	.gz	f	.	/usr/bin/gzip -c -- %s
conversion	all	.tar	df	.notar	/usr/bin/tar -cf - -- %s
conversion	all	.tar.gz	df	.notar	/usr/bin/tar -zcf - -- %s
